<?php
  require('dhcp.php');

  // client
  $mac = 'aa:bb:cc:dd:ee:ff';

  $z = new dhcp(DHCP_BROADCAST, DHCP_SERVER_PORT);
  $z->op = DHCP_BOOTREQUEST;
  $z->htype = DHCP_HARDWARE_TYPE_ETHERNET_10;
  $z->flags = DHCP_BROADCAST_FLAG;
  $z->set_hw_address($mac);
  $z->options->set(DHCP_OPTION_MESSAGE_TYPE, DHCP_DISCOVER);
  $z->options->set(DHCP_OPTION_AUTO_CONFIG, 1);
  $z->options->set(DHCP_OPTION_CLIENT_ID, "01:$mac");
  $z->options->set(DHCP_OPTION_CLASS_ID, "PHP_DHCP 1.0");
  $z->options->set(DHCP_OPTION_PARAMETER_LIST, '01:0f:03:06:2c:2e:2f:1f:21:f9:2b'); // I don't know what these mean ...
  $z->send();

  $z = new dhcp(DHCP_ZERO, DHCP_CLIENT_PORT);
  do
  {
    $z->receive();
  } while(1 == 1);
?>
